public class RegisterMediaRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
registerMetadatas
The metadata of the media file that you want to register.
|
String |
templateGroupId
The ID of the transcoding template group.
|
String |
userData
The custom configurations such as callback configurations.
|
String |
workflowId
The ID of the workflow.
|
| 构造器和说明 |
|---|
RegisterMediaRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static RegisterMediaRequest |
build(Map<String,?> map) |
String |
getRegisterMetadatas() |
String |
getTemplateGroupId() |
String |
getUserData() |
String |
getWorkflowId() |
RegisterMediaRequest |
setRegisterMetadatas(String registerMetadatas) |
RegisterMediaRequest |
setTemplateGroupId(String templateGroupId) |
RegisterMediaRequest |
setUserData(String userData) |
RegisterMediaRequest |
setWorkflowId(String workflowId) |
@NameInMap(value="RegisterMetadatas") public String registerMetadatas
The metadata of the media file that you want to register. The value is a JSON string. You can specify the metadata for a maximum of 10 media files at a time. For more information about the metadata of media files, see the **RegisterMetadata** section of this topic.
@NameInMap(value="TemplateGroupId") public String templateGroupId
The ID of the transcoding template group. You can use one of the following methods to obtain the ID of the transcoding template group:
* Log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Processing** > **Transcoding Template Groups**. On the Transcoding Template Groups page, you can view the ID of the transcoding template group.
* View the value of the TranscodeTemplateGroupId parameter returned by the [AddTranscodeTemplateGroup](~~102665~~) operation that you called to create a transcoding template group.
* View the value of the TranscodeTemplateGroupId parameter returned by the [ListTranscodeTemplateGroup](~~102669~~) operation that you called to query a transcoding template group.
> * If you do not need to transcode the media file, set the TemplateGroupId parameter to VOD_NO_TRANSCODE. Otherwise, an exception occurs during video playback. If you need to transcode the media file, specify the ID of the transcoding template group.
> * If both the WorkflowId and TemplateGroupId parameters are set, the value of the WorkflowId parameter takes effect. For more information, see [Workflows](~~115347~~).
@NameInMap(value="UserData") public String userData
The custom configurations such as callback configurations. The value is a JSON string. For more information, see the "UserData: specifies the custom configurations for media upload" section of the [Request parameters](~~86952#section\_6fg_qll_v3w~~) topic.
@NameInMap(value="WorkflowId") public String workflowId
The ID of the workflow. To view the ID of the workflow, log on to the [ApsaraVideo VOD console](https://vod.console.aliyun.com). In the left-side navigation pane, choose **Configuration Management** > **Media Processing** > **Workflows**.
> If both the WorkflowId and TemplateGroupId parameters are set, the value of the WorkflowId parameter takes effect. For more information, see [Workflows](~~115347~~).
public static RegisterMediaRequest build(Map<String,?> map) throws Exception
Exceptionpublic RegisterMediaRequest setRegisterMetadatas(String registerMetadatas)
public String getRegisterMetadatas()
public RegisterMediaRequest setTemplateGroupId(String templateGroupId)
public String getTemplateGroupId()
public RegisterMediaRequest setUserData(String userData)
public String getUserData()
public RegisterMediaRequest setWorkflowId(String workflowId)
public String getWorkflowId()
Copyright © 2024. All rights reserved.